               job  Tape Mark Tests
               ctl  661
     x3        equ  99
     *
     * Prepare the tape for the tests
     *
     start     rwd  1
               wtm  1
     *
     * Run the tests
     *
     outer     cs   332
               cs
               rwd  1
               blc  done  Any tests left?
               r    40
     *
     * Print, changing GM to G and TM to T, then print word marks
     *
     print     sbr  x3,333
     loop      sbr  x3,15999&x3
               bce  write,x3-2,1  Exit if done (x3=199)
               bce  gm,0&x3,}     GM (12-7-8)?
               bce  tm,0&x3,{     TM (7-8)?
               b    loop
     gm        mcw  @G@,0&x3
               b    loop
     tm        mcw  @T@,0&x3
               b    loop
     write     w
               wm
               b    outer
     done      nop  666
               h
               b    done
               ex   start
     *
     * Tests start here.  Each one runs in the print area.
     *
     buf       equ  201
     sbr       equ  213
               org  251      even parity, no gmwm, move mode
               lca  k,buf
               rt   1,buf
               sbr  sbr
               b    print
     k         dcw  #1
               org  251      even parity, no gmwm, load mode
               lca  k,buf
               rtw  1,buf
               sbr  sbr
               b    print
               dcw  #1
               org  251      odd parity, no gmwm, move mode
               lca  k,buf
               rtb  1,buf
               sbr  sbr
               b    print
               dcw  #1
               org  251      odd parity, gmwm in 201, load mode
               lca  k,buf
               lca  %b1,buf,r
               sbr  sbr
               b    print
               dcw  #1
               org  251      even parity, gmwm in 201, move mode
               lca  k,buf
               rt   1,buf
               sbr  sbr
               b    print
               dcw  @}@
               org  251      even parity, gmwm in 201, load mode
               lca  k,buf
               rtw  1,buf
               sbr  sbr
               b    print
               dcw  @}@
               org  251      odd parity, gmwm in 201, move mode
               lca  k,buf
               rtb  1,buf
               sbr  sbr
               b    print
               dcw  @}@
               org  251      odd parity, gmwm in 201, load mode
               lca  k,buf
               lca  %b1,buf,r
               sbr  sbr
               b    print
               dcw  @}@
               org  251      even parity, gmwm in 202, move mode
               lca  k,buf&1
               rt   1,buf
               sbr  sbr
               b    print
               dcw  @}@
               org  251      even parity, gmwm in 202, load mode
               lca  k,buf&1
               rtw  1,buf
               sbr  sbr
               b    print
               dcw  @}@
               org  251      odd parity, gmwm in 202, move mode
               lca  k,buf&1
               rtb  1,buf
               sbr  sbr
               b    print
               dcw  @}@
               org  251      odd parity, gmwm in 202, load mode
               lca  k,buf&1
               lca  %b1,buf,r
               sbr  sbr
               b    print
               dcw  @}@
               end
